Loading...
Searching...
No Matches
Opm::VtkBlackoilParams Struct Reference

Struct holding the parameters for VtkBlackoilOutputModule. More...

`#include <vtkblackoilparams.hpp>`

## Public Member Functions

void | read ()
| Reads the parameter values from the parameter system.

## Static Public Member Functions

static void | registerParameters ()
| Registers the parameters in parameter system.

## Public Attributes

bool | gasDissolutionFactorOutput_
bool | oilVaporizationFactorOutput_
bool | oilFormationVolumeFactorOutput_
bool | gasFormationVolumeFactorOutput_
bool | waterFormationVolumeFactorOutput_
bool | oilSaturationPressureOutput_
bool | gasSaturationPressureOutput_
bool | saturatedOilGasDissolutionFactorOutput_
bool | saturatedGasOilVaporizationFactorOutput_
bool | saturationRatiosOutput_
bool | primaryVarsMeaningOutput_

## Detailed Description

Struct holding the parameters for VtkBlackoilOutputModule.

The documentation for this struct was generated from the following files:

- opm/models/io/vtkblackoilparams.hpp
- opm/models/io/vtkblackoilparams.cpp